summary refs log tree commit diff
path: root/bin/mpvplay
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2022-11-18 18:16:02 +0100
committerRobert Günzler <r@gnzler.io>2022-11-18 18:38:22 +0100
commiteabdd86404da9368320a659a1405f0685ec7d171 (patch)
treee3e191ae449d7d25c21c04bec1888cd7b5c3e233 /bin/mpvplay
parent7d322f5aa22afa2ed85d9453ad80cb3fe799eedf (diff)
bin/mpvplay: update
Diffstat (limited to 'bin/mpvplay')
-rwxr-xr-xbin/mpvplay22
1 files changed, 12 insertions, 10 deletions
diff --git a/bin/mpvplay b/bin/mpvplay
index c8078c5..e76acff 100755
--- a/bin/mpvplay
+++ b/bin/mpvplay
@@ -1,8 +1,9 @@
-#!/bin/sh
+#!/bin/bash
 
 set -e
 [ -n "$DEBUG" ] && set -x
 
+# uri=$(eval "echo ${1}")
 uri="${1}"
 
 notify-send \
@@ -14,13 +15,14 @@ notify-send \
 # if xap now >/dev/null 2>&1; then
 # 	xap player run --no-defaults --detached
 # fi
-
 # exec xap add -n "${uri}"
-if ! mpv "${uri}"; then
-	notify-send \
-		-i "$(iconez -n mpv | grep 32)" \
-		-a mpv \
-		-c error \
-		'failed' \
-		"${uri}"
-fi
+
+# if ! mpv "${uri}"; then
+# 	notify-send \
+# 		-i "$(iconez -n mpv | grep 32)" \
+# 		-a mpv \
+# 		-c error \
+# 		'failed' \
+# 		"${uri}"
+# fi
+exec mpv "${uri}"